## com.google.appengine.api.users.dev
Class LocalOAuthAuthorizeTokenServlet

    java.lang.Object
      HttpServlet
          com.google.appengine.api.users.dev.LocalOAuthAuthorizeTokenServlet

    public class LocalOAuthAuthorizeTokenServlet

extends HttpServlet

`LocalOAuthAuthorizeTokenServlet` is the servlet responsible for implementing the token authorization step of the fake OAuth authentication flow provided by the Development AppServer.

This serlvet will redirect to the URL specified in the 'oauth_callback' parameter after access is granted. It does not currently support callback URLs provided during the request token acquisition step.

Constructor Summary
`LocalOAuthAuthorizeTokenServlet()`

Method Summary
`void` `doGet(HttpServletRequest req, HttpServletResponse resp)`
`void` `doPost(HttpServletRequest req, HttpServletResponse resp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalOAuthAuthorizeTokenServlet

    public LocalOAuthAuthorizeTokenServlet()

Method Detail

### doGet

    public void doGet(HttpServletRequest req,
                      HttpServletResponse resp)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### doPost

    public void doPost(HttpServletRequest req,
                       HttpServletResponse resp)
                throws java.io.IOException

  Throws:
    `java.io.IOException`